Bug 141497 - XEN - kernel panics when attempting to connect to serial port for console
XEN - kernel panics when attempting to connect to serial port for console
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-12-01 12:26 EST by AJ Lewis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.9-1.1020_FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-07 10:46:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
console output from bootup (18.70 KB, text/plain)
2004-12-01 12:26 EST, AJ Lewis
no flags Details

  None (edit)
Description AJ Lewis 2004-12-01 12:26:07 EST
Description of problem:
When booting a xen system with both xen and the xen-linux kernel consoles on the
serial line, I get a panic.  If I leave the linux console line at console=tty0
everything works, but I don't get kernel messages on the serial line after bootup.

Version-Release number of selected component (if applicable):
xen-2.6.9.gz from http://people.redhat.com/riel dated 30-Nov-2004 14:23
xen-2.0-install.tgz tools install

How reproducible:
every boot with serial consoles turned on

Steps to Reproduce:
1. turn on serial lines for xen with the following in grub
kernel /xen-2.6.9.gz dom0_mem=524288 com1=115200,8n1
2. turn on serial lines for linux console with the following in grub
module /vmlinuz-2.6.9-1.1008_FC4xen0 root=/dev/vg0/root ro console=ttyS0,115200
3. boot xen
Actual results:
kernel panic

Expected results:
normal bootup

Additional info:
The following link *may* shed some light on the problem

Grub config is as follows:

title XEN 2.0
        root (hd0,0)
        kernel /xen-2.6.9.gz dom0_mem=524288 com1=115200,8n1
        module /vmlinuz-2.6.9-1.1008_FC4xen0 root=/dev/vg0/root ro
console=ttyS0,115200 3
        module /initrd-2.6.9-1.1008_FC4xen0.img
Comment 1 AJ Lewis 2004-12-01 12:26:08 EST
Created attachment 107723 [details]
console output from bootup
Comment 2 AJ Lewis 2004-12-06 14:00:39 EST
Turning the hw serial driver off in the kernel config seemed to fix this for me
- might want to consider doing that in the default xen0 config.
Comment 3 Rik van Riel 2004-12-06 14:06:22 EST
With the hw serial driver off in the kernel configuration, can you
still use the serial ports from within the xen0 domain, and can you
still run serial console to that domain ?

If yes, I'll switch off the serial driver in the xen0 kernel.
Comment 4 AJ Lewis 2004-12-06 14:31:12 EST
Yeah, it seemed to work fine with the hw serial driver off - I think I
just turned it into a module for my testing, but I can't seem to find
that config anymore.

If you shut it off and rebuild, I can verify it for you.
Comment 5 Rik van Riel 2004-12-06 14:37:55 EST
OK, I disabled CONFIG_SERIAL_8250 for the xen0 kernel.  I'll rebuild
soonish (need to do a RHEL4 build first).
Comment 6 Rik van Riel 2004-12-06 20:41:18 EST
I am now building kernel-2.6.9-1.1020_FC4, which has the serial driver
disabled.  Please test when this kernel becomes available in our build
Comment 7 AJ Lewis 2004-12-07 10:46:27 EST
That fixes it - the above grub config for console now works.

Note You need to log in before you can comment on or make changes to this bug.